Regbase API
Reference

List entities

Returns canonical entities (not drained or merged, not empty snapshots) ordered by id. Optional GFFS qualifier string. Omit to list all entities. Free-text terms are rejected. Allowed fields: type, title, name, displayDate, jurisdiction, localIdentifier, localType, authority, status.

GET
/v1/entities

Returns canonical entities (not drained or merged, not empty snapshots) ordered by id. Optional GFFS qualifier string. Omit to list all entities. Free-text terms are rejected. Allowed fields: type, title, name, displayDate, jurisdiction, localIdentifier, localType, authority, status.

Authorization

bearerAuth
AuthorizationBearer <token>

Organization API key. Send Authorization: Bearer rb_live_….

In: header

Query Parameters

filter?string

Optional GFFS qualifier string. Omit to list all entities. Free-text terms are rejected. Allowed fields: type, title, name, displayDate, jurisdiction, localIdentifier, localType, authority, status.

page[after]?string

Entity id cursor from the previous page's meta.cursor.

page[limit]?integer

Page size. Default 100, maximum 100.

Range1 <= value <= 100

Response Body

application/vnd.api+json

application/vnd.api+json

application/vnd.api+json

application/vnd.api+json

curl -X GET "https://example.com/v1/entities"
{  "data": [    {      "type": "string",      "id": "string",      "attributes": {        "title": "string",        "name": "string",        "displayDate": "string",        "jurisdiction": "string",        "localIdentifier": "string",        "localType": "string",        "authority": "string",        "status": "string",        "texts": [          {            "textId": "string",            "localUrl": "string",            "date": "string",            "mime": "string",            "type": "string",            "renditions": [              {                "renditionId": "string",                "conversion": "string",                "language": "string",                "mime": "string",                "filename": "string",                "fetchedUrl": "http://example.com",                "links": {                  "content": "http://example.com"                }              }            ]          }        ]      },      "links": {        "self": "http://example.com"      }    }  ],  "links": {    "self": "http://example.com",    "next": "http://example.com"  },  "meta": {    "cursor": "string"  }}